//To give the curve at the conners
#declare Curve_cutter = 
difference
 {
 torus
  {
  1,.5
  rotate x*90
  scale z*6
  translate <-1.5,3.5,-.5> 
  }
 box
  {
  <-3.5,2,-2.5>,<0,4,3>
  rotate z*45
  translate <2.4,2.1,0>
  }
 }

////////////******* The Top Pices
#declare Grid_outline_top = 
//intersection {
difference {
 //The Basic Shape
 prism
  {
  linear_sweep
  linear_spline
  0,1,6, //'6' is the number of points
  <-1.8,2.75>, <-0.5,2.75>,<.5,1.6>,<.5,1.3>,<-1.8,1.3>,
  <-1.8,2.75>
  rotate x*-90
  translate <-.05,0,1.999>
  }

 object //Cuts the upper left coner
  {
  Curve_cutter
  translate <.1,-1.13,1>
  }
 object //Cuts the lower left coner
  {
  Curve_cutter
  translate <3.15,-2.12,1>
  rotate z*90
  }
  object //Cuts the lower right coner
  {
  Curve_cutter
  translate <1.7,-5.14,1>
  rotate z*180
  }
 }

//box {<-2,1,1>,<.5,3,1.3>}
//}

//The Lines that make up the top grid
#declare Grid_lines_top = box {
 <-1.8,1.45,1>,<0.25,1.5,1.2>
 }

#declare Grid_top = 
union {
difference
 {
 object { Grid_outline_top }
 object 
  { 
  Grid_outline_top 
  scale .92
  translate <-.07,0.16,0>
  }
 }
//The Grid lines at the top grid
object { Grid_lines_top  } 
object { Grid_lines_top  translate <0,.15,0> }
object { Grid_lines_top  translate <0,.3,0> }
object { Grid_lines_top  translate <-.09,.45,0> scale x*.95 }
object { Grid_lines_top  translate <-.23,.6,0> scale x*.87 }
object { Grid_lines_top  translate <-.45,.75,0> scale x*.8 }
object { Grid_lines_top  translate <-.65,.9,0> scale x*.73 }
object { Grid_lines_top  translate <-.88,1.05,0> scale x*.66 }
}

//************* Bottom Things
//The Lines that make up the bottom grid
#declare Grid_lines_bottom = box
 {
 <-1.9,1,0>,<1.9,1.05,-.9>
 }

#declare Grid_outline_bottom = 
intersection//Inter [Grid Bottom]
{
difference //Diff[Grid Bottom 1]
{
prism
 {
 linear_sweep
 linear_spline
 0, // sweep the following shape from here ...
 1, // ... up through here
 6, // the number of points making up the shape ...
 <-2,2.25>, <1.35,2.25>,<2,1>,<2,-1>,<-2,-1>,
 <-2,2.25>
 rotate x*-90
 }

object //Make a curve at the top left conner
 {
 Curve_cutter
 translate <-.03,-1.7,0>
 }
}//Diff[Grid Bottom 1]

union //To make the bottom round
 {
 cylinder
  {
  <0,.95,-1.5>,<0,.95,0.5>,2
  }
 box
  {
  <-2,1,-2>,<2,4,1>
  }
 }
}//Inter [Grid]
//End of #declare Grid_outline_bottom

#declare Grid_bottom =
union
{
difference {//To cut out a frame 
 object { Grid_outline_bottom }
 object
  {
  Grid_outline_bottom
  scale .95
  translate <0,0.025,.2>
  scale z*1.5
  }
 translate <0,0,.1>
 }
 
//Top Trangular Grids (Top to Bottom)
object { Grid_lines_bottom  translate <0,1.05,0> scale x*-.89 translate <-.28,0>}
object { Grid_lines_bottom  translate <0,0.9,0>  scale x*-.89 translate <-.28,0,0>}
object { Grid_lines_bottom  translate <0,0.75,0> scale x*-.91 translate <-.25,0,0>}
object { Grid_lines_bottom  translate <0,0.6,0>  scale x*-.91  translate <-.17,0,0>}
object { Grid_lines_bottom  translate <0,0.45,0> scale x*-.96 translate <-.1,0,0> }
object { Grid_lines_bottom  translate <0,0.3,0>  scale x*-.98 translate <-.04,0,0>}
object { Grid_lines_bottom translate <0,0.15,0> }
object { Grid_lines_bottom  }
//Lower Semi-Circle Grids (Top to Bottom)
object { Grid_lines_bottom  translate <0,-.15,0> }
object { Grid_lines_bottom  translate <0,-.3,0>  }
object { Grid_lines_bottom  translate <0,-.45,0> scale x*1.01 }
object { Grid_lines_bottom  translate <0,-.6,0>  }
object { Grid_lines_bottom  translate <0,-.75,0> scale x*-.97 }
object { Grid_lines_bottom  translate <0,-.9,0>   scale x*-.95 }
object { Grid_lines_bottom  translate <0,-1.05,0> scale x*-0.9 }
object { Grid_lines_bottom  translate <0,-1.2,0>  scale x*-.85 }
object { Grid_lines_bottom  translate <0,-1.35,0> scale x*-.78 }
object { Grid_lines_bottom  translate <0,-1.5,0>  scale x*-.70 }
object { Grid_lines_bottom  translate <0,-1.65,0> scale x*-.6 }
object { Grid_lines_bottom  translate <0,-1.8,0> scale x*-.45 }
}
//End of #declare Grid_bottom 

#declare turner =
difference
 {
cylinder //Basic Shape
 {
 <0,0,1>,<0,0,0>,.5
 }
cylinder //Uppercut
 {
 <1,.4,0>,<-1,.4,0>,.25
 scale z*3
 }
cylinder //The Undercut
 {
 <1,-.4,0>,<-1,-.4,0>,.25
 scale z*3
 }
cylinder //Indicator
 {
 <-.6,0,0>,<-.2,0,0>,.05
 }
torus
 {
 .5,.05
 rotate x*90
 translate <0,0,.8>
 //scale z*1
 }
 pigment { White }
}